package com.ss.android.ugc.aweme.services.sparrow;

import X.B6m;
import X.Ls2;
import com.bytedance.covode.number.Covode;

public final class DmtSparrowServiceImpl$publishXService$2 extends B6m implements Ls2<PublishXServiceImpl> {
    public static final DmtSparrowServiceImpl$publishXService$2 INSTANCE = new DmtSparrowServiceImpl$publishXService$2();

    static {
        Covode.recordClassIndex(105422);
    }

    public DmtSparrowServiceImpl$publishXService$2() {
        super(0);
    }

    public final PublishXServiceImpl invoke() {
        return new PublishXServiceImpl();
    }
}
